Subject: EDNS1

From: Paul Vixie <[email-masked]>
Date: Wed, 21 Aug 2002 16:58:39 +0000

> Who thinks EDNS1 isn't ready for last call?  OK, state your issues --
> that is, tell us all how the document should be improved.

here are some proposed changes which came to me privately:

60,62c60,62
< This document specifies a number of extensions within the Extended DNS
< framework defined by [EDNS0], including several new extended label types and
< the ability to ask multiple questions in a single request.
---
> This document specifies an extension within the Extended DNS framework defined
> by [RFC2671], providing the ability to ask multiple questions in a single
> request.
88c88
< 2: |md |FM |RRD|lm |                       z                       |
---
> 2: |do |FM |RRD|                          Z                        |
94c94
< both requestors and responders should set this to the highest level they
---
> both initators and responders should set this to the highest level they
96c96
< requestors should be prepared to probe using lower version numbers if they
---
> initiators should be prepared to probe using lower version numbers if they
104c104,105
< the response.  Response FM should be ignored by requestors.
---
> the response.  Response FM should be set to zero by responders, and ignored
> by initiators.
113c114,115
< same FM and LM settings present in the current question.
---
> same FM setting present in the current question.  Response RRD should
> be set to zero by responders, and ignored by initiators.
144,146c146,148
< 4.6. An initiator can infer the absence of any RRs for one of the QTYPEs
< where QDCOUNT>1 if the response contains no RRs of that type but some RRs
< for one of the other QTYPEs present.
---
> 4.6. If request FM was not set but QDCOUNT>1, then an initiator can infer the
> absence of any RRs for one of the QTYPEs if the response contains no RRs of
> that type but some RRs for one of the other QTYPEs present.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>